@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

body {
  margin: 80px 100px;
  background-color: #f4f6fc;
  font-family: "Roboto";
  max-width: 1100px;
  /* margin: 0 auto; with this all the items are centered*/
}

/* BUTTONS */

.btn-primary {
  height: 52px;
  width: 150px;
  background-color: #072ac8;
  color: white;
  font-family: "Roboto";
  font-size: 17px;
  font-weight: 400;
  text-decoration: none;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}

.btn-secondary {
  height: 52px;
  width: 150px;
  color: #072ac8;
  font-family: "Roboto";
  font-size: 17px;
  font-weight: 400;
  text-decoration: none;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: left;
  padding: 0;
  background: none;
}

.btn-link {
  height: 52px;
  width: 150px;
  color: #6b708d;
  font-family: "Roboto";
  font-size: 17px;
  font-weight: 400;
  text-decoration: none;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  background: none;
}

/* TEXT STYLES */

h1 {
  font-size: 60px;
  font-weight: bold;
  color: #292e47;
}

h2 {
  font-size: 50px;
  font-weight: bold;
  color: #292e47;
}

h3 {
  font-size: 40px;
  font-weight: bold;
  color: #292e47;
  margin: 0;
}

h4 {
  font-size: 24px;
  font-weight: bold;
  color: #292e47;
  margin: 0;
}

.body-intro-m {
  font-size: 24px;
  font-weight: 400;
}

.body-intro-r {
  font-size: 20px;
  font-weight: 300;
  color: #6b708d;
}

.text-m {
  font-size: 17px;
  font-weight: 500;
}

.text-r {
  font-size: 17px;
  font-weight: 300;
}

.caption-1 {
  font-size: 15px;
  font-weight: 300;
}

.caption-2 {
  font-size: 13px;
  font-weight: 300;
}

/* Lists & Links styles */

a {
  text-decoration: none;
  color: inherit;
}

ul {
  text-decoration: none;
  list-style-type: none;
}

section {
  display: flex;
  align-items: center;
}

/*------------------------------------------------*/
/* HEADER */

nav {
  display: flex;
  align-content: center;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 80px;
  max-width: 1100px;
  width: 100%;
}

.menu {
  color: #6b708d;
  font-size: 17px;
  font-weight: 400;
  display: flex;
  justify-content: center;
  gap: 60px;
}

.active-link {
  color: #072ac8;
}

.hamburger-menu-btn {
  display: none;
}

.mobile-menu {
  display: none;
}

/*------------------------------------------------*/
/* HERO */

.hero {
  max-width: 1100px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 40px;
}

.hero-title {
  margin: 0;
}

.hero-description {
  margin: 0;
  padding: 24px 0px 32px;
}

.hero-ctas {
  display: flex;
  gap: 24px;
}

.hero-images {
  width: auto;
  position: relative;
}

.guy {
  position: relative;
  width: 100%;
  height: auto;
  z-index: 1;
}

.cc {
  width: 60%;
  height: auto;
  position: absolute;
  z-index: 2;
  top: -16px;
  left: -40px;
}

.thumb {
  width: 60%;
  height: auto;
  position: absolute;
  z-index: 2;
  bottom: -72px;
  right: -24px;
}

/*------------------------------------------------*/
/* PARTNERS */

.partners {
  max-width: 1100px;
  width: 100%;
  padding: 120px 0px 120px 0px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.partners img {
  height: auto;
  filter: grayscale(100%);
}

.partners img:hover {
  filter: none;
}

/*------------------------------------------------*/
/* PROJECTS */

.recentproject {
  max-width: 1100px;
  width: 100%;
  padding: 80px 0px 80px 0px;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.projects {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 32px;
  flex-wrap: wrap;
}

.project-card {
  background-color: #ffffff;
  box-shadow: 0 32px 77px rgba(0, 0, 0, 0.1);
  max-width: 340px;
  display: flex;
  flex-direction: column;
  transition: transform 0.3s;
}

.project-card:hover {
  transform: scale(1.05);
}

.project-card img {
  background-size: cover;
  background-position: center;
  width: 100%;
  height: 55%;
}

.project-card-text {
  padding: 24px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex: 1;
}

.text-r {
  color: #6b708d;
}

/*------------------------------------------------*/
/* TESTIMONIALS */

.testimonials {
  max-width: 1100px;
  width: 100%;
  padding: 80px 0;
  margin: 80px 0px;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #292e47;
  background-image: url(/assets/testimonial-section/orbit.png);
  background-size: cover;
  background-position: center;
  position: relative;
}

.quote-container {
  width: 80%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 80px;
}

.testimonials h3 {
  color: #ffffff;
  text-align: center;
}

.quote {
  color: #ffc600;
  text-align: center;
}

.kristin {
  gap: 12px;
  display: flex;
  align-items: center;
}

.kristin .text-r {
  color: #a2d6f9;
  margin: 0;
}

.kristin .caption-1 {
  color: #ffffff;
  margin: 0;
}

.kristin .photo {
  background-image: url(/assets/testimonial-section/profile.png);
  background-size: cover;
  background-position: center;
  height: 48px;
  width: 48px;
  border-radius: 100%;
}

.avatar1 {
  width: 150px;
  position: absolute;
  z-index: 2;
  top: 40px;
  left: 40px;
}

.avatar2 {
  width: 150px;
  position: absolute;
  z-index: 2;
  top: 40px;
  right: 40px;
}

.avatar3 {
  width: 150px;
  position: absolute;
  z-index: 2;
  bottom: 40px;
  left: 40px;
}

.avatar4 {
  width: 150px;
  position: absolute;
  z-index: 2;
  bottom: 40px;
  right: 40px;
}

/*------------------------------------------------*/
/* SERVICES */

.ourservices {
  max-width: 1100px;
  width: 100%;
  padding: 80px 0px 80px 0px;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.services {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 32px;
  flex-wrap: wrap;
}

.services-card {
  background-color: #ffffff;
  box-shadow: 0 32px 77px rgba(0, 0, 0, 0.1);
  max-width: 340px;
  padding: 32px 24px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 24px;
  flex: 1;
  transition: transform 0.3s;
}

.services-card:hover {
  transform: scale(1.05);
}

.blueicon {
  width: 80px;
  height: 80px;
  background-color: #ecf7ff;
  border-radius: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.blueicon img {
  width: 40px;
  height: 40px;
}

.text-r {
  color: #6b708d;
}

/*------------------------------------------------*/
/* SUBSCRIBE */

.subscribe {
  background-color: #ffc600;
  max-width: 1100px;
  width: 100%;
  padding: 80px 0;
  margin: 80px 0px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 48px;
}

.questions {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.questions p {
  color: #292e47;
}

.input {
  max-width: 800px;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 16px;
}

.email {
  height: 80px;
  width: 100%;
  background-color: #ffffff;
  padding-left: 24px;
  display: flex;
  align-items: center;
  gap: 16px;
}

.email input[type="email"] {
  border: none;
  height: 70px;
  width: 100%;
}

.envelope {
  width: 30px;
  height: 30px;
}

.subscribe button {
  height: 80px;
  width: 198px;
  background-color: #072ac8;
  color: white;
  font-size: 17px;
  font-weight: 400;
  text-decoration: none;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}

/*------------------------------------------------*/
/* FOOTER */

footer {
  max-width: 1100px;
  width: 100%;
  color: #6b708d;
  font-size: 17px;
  font-weight: 300;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 80px;
}

.logo-address {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  width: 240px;
}

.logo-address img {
  height: 30px;
}

.logo-address p {
  margin: 0;
  padding: 16px 0px 0px 0px;
}

.f-links {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.s-links {
  width: 435px;
  display: flex;
  justify-content: right;
  gap: 40px;
}

.s-links li {
  width: 105px;
  text-align: left;
}

/*------------------------------------------------*/
/* MEDIA QUERY */

/* TABLET */

@media screen and (max-width: 780px) {
  body {
    margin: 24px 24px;
  }

  nav {
    padding-bottom: 40px;
    justify-content: space-between;
  }

  .hamburger-menu-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 52px;
    width: 52px;
    background: none;
    color: #072ac8;
    font-size: 24px;
    border: none;
  }

  .menu {
    display: none;
  }

  .logo-container {
    display: flex;
    flex-direction: row;
    gap: 24px;
  }

  .hero {
    width: 100%;
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    align-items: center;
    gap: 60px;
  }

  .hero-images {
    width: 50%;
    position: relative;
  }

  .hero-title {
    margin: 0;
    text-align: center;
    font-size: 40px;
  }

  .hero-description {
    margin: 0;
    padding: 24px 0px 32px;
    text-align: center;
  }

  .hero-ctas {
    display: flex;
    justify-content: center;
    gap: 24px;
  }

  .partners {
    width: 100%;
    padding: 80px 0px 80px 0px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    gap: 24px;
    row-gap: 24px;
  }

  .recentproject {
    padding: 40px 0px 40px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }

  .projects {
    flex-direction: column;
    align-items: center;
  }

  .project-card:hover {
    transform: none;
  }

  .quote-container {
    gap: 40px;
  }

  .avatar1,
  .avatar2,
  .avatar3,
  .avatar4 {
    display: none;
  }

  .testimonials {
    padding: 40px 0px;
  }

  .ourservices {
    padding: 40px 0px 40px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }

  .services {
    flex-direction: column;
    align-items: center;
  }

  .service-card:hover {
    transform: none;
  }

  .subscribe {
    padding: 40px 0;
    margin: 40px 0px;
    gap: 32px;
  }

  .input {
    width: 80%;
    flex-direction: column;
    align-items: center;
  }

  .subscribe button {
    width: 100%;
  }
}

/* MOBILE */

@media screen and (max-width: 390px) {
  body {
    margin: 16px 16px;
  }

  nav {
    padding-bottom: 40px;
    justify-content: space-between;
  }

  .hamburger-menu-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 52px;
    width: 52px;
    background: none;
    color: #072ac8;
    font-size: 24px;
    border: none;
  }

  .menu {
    display: none;
  }

  .logo-container {
    display: flex;
    flex-direction: row;
    gap: 24px;
  }

  .hero {
    width: 100%;
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    align-items: center;
    gap: 60px;
  }

  .hero-images {
    width: 50%;
    position: relative;
  }

  .hero-title {
    margin: 0;
    text-align: center;
    font-size: 40px;
  }

  .hero-description {
    margin: 0;
    padding: 24px 0px 32px;
    text-align: center;
  }

  .hero-ctas {
    display: flex;
    justify-content: center;
    gap: 24px;
  }

  .partners {
    width: 100%;
    padding: 80px 0px 80px 0px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    gap: 24px;
    row-gap: 24px;
  }

  .recentproject {
    padding: 40px 0px 40px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }

  .projects {
    flex-direction: column;
    align-items: center;
  }

  .project-card:hover {
    transform: none;
  }

  .quote-container {
    gap: 40px;
  }

  .avatar1,
  .avatar2,
  .avatar3,
  .avatar4 {
    display: none;
  }

  .testimonials {
    padding: 40px 0px;
  }

  .ourservices {
    padding: 40px 0px 40px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }

  .services {
    flex-direction: column;
    align-items: center;
  }

  .service-card:hover {
    transform: none;
  }

  .subscribe {
    padding: 40px 0;
    margin: 40px 0px;
    gap: 32px;
  }
}
